Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsScene.SceneLayer

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGraphicsScene.SceneLayer

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGraphicsScene

    public static final class QGraphicsScene.SceneLayer

extends java.lang.Enum
implements QtEnumerator

This enum describes the rendering layers in a `QGraphicsScene`. When `QGraphicsScene` draws the scene contents, it renders each of these layers separately, in order.

Each layer represents a flag that can be OR'ed together when calling functions such as `invalidate()` or `QGraphicsView::invalidateScene()`.

See also:
  `invalidate()`, and `QGraphicsView::invalidateScene()`.

See Also:
  Serialized Form

Field Summary
`static QGraphicsScene.SceneLayer` | `AllLayers` All layers; this value represents a combination of all three layers.
`static QGraphicsScene.SceneLayer` | `BackgroundLayer` The background layer.
`static QGraphicsScene.SceneLayer` | `ForegroundLayer` The foreground layer.
`static QGraphicsScene.SceneLayer` | `ItemLayer` The item layer.

Method Summary
`static QGraphicsScene.SceneLayers` | `createQFlags(QGraphicsScene.SceneLayer[] values)` This function creates a com.trolltech.qt.gui.QGraphicsScene$SceneLayers with the specified `com.trolltech.qt.gui.QGraphicsScene$SceneLayer[]` QGraphicsScene$SceneLayer values set.
`static QGraphicsScene.SceneLayer` | `resolve(int value)` Returns the QGraphicsScene$SceneLayer constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsScene.SceneLayer` | `valueOf(java.lang.String name)`
`static QGraphicsScene.SceneLayer[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ItemLayer

    public static final QGraphicsScene.SceneLayer ItemLayer

  The item layer. `QGraphicsScene` renders all items are in this layer by calling the virtual function `drawItems()`. The item layer is drawn after the background layer, but before the foreground layer.

### BackgroundLayer

    public static final QGraphicsScene.SceneLayer BackgroundLayer

  The background layer. `QGraphicsScene` renders the scene's background in this layer by calling the virtual function `drawBackground()`. The background layer is drawn first of all layers.

### ForegroundLayer

    public static final QGraphicsScene.SceneLayer ForegroundLayer

  The foreground layer. `QGraphicsScene` renders the scene's foreground in this layer by calling the virtual function `drawForeground()`. The foreground layer is drawn last of all layers.

### AllLayers

    public static final QGraphicsScene.SceneLayer AllLayers

  All layers; this value represents a combination of all three layers.

Method Detail

### values

    public static QGraphicsScene.SceneLayer[] values()

### valueOf

    public static QGraphicsScene.SceneLayer valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QGraphicsScene.SceneLayers createQFlags(QGraphicsScene.SceneLayer[] values)

  This function creates a com.trolltech.qt.gui.QGraphicsScene$SceneLayers with the specified `com.trolltech.qt.gui.QGraphicsScene$SceneLayer[]` QGraphicsScene$SceneLayer values set.

### resolve

    public static QGraphicsScene.SceneLayer resolve(int value)

  Returns the QGraphicsScene$SceneLayer constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD